## py-improv-ble-client 1.0.4

=== requirements.txt ===
bleak
bleak-retry-connector

=== debian/changelog ===
py-improv-ble-client (1.0.4-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 08 Sep 2024 10:25:36 +0100

py-improv-ble-client (1.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1080090)

 -- Edward Betts <edward@4angle.com>  Fri, 30 Aug 2024 13:52:02 +0100

=== debian/control ===
Source: py-improv-ble-client
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/home-assistant-libs/py-improv-ble-client
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/py-improv-ble-client
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/py-improv-ble-client.git

Package: python3-py-improv-ble-client
Architecture: all
Depends:
 python3-bleak,
 python3-bleak-retry-connector,
 ${misc:Depends},
 ${python3:Depends},
Description: API to provision devices implementing Improv via BLE
 This library provides an API to provision devices that support Improv via BLE.
 It allows these devices to connect to Wi-Fi networks by facilitating
 communication through Bluetooth Low Energy. This setup is particularly useful
 for configuring IoT devices remotely. The library interacts with devices
 implementing the Improv protocol, sending necessary credentials and
 instructions to establish a Wi-Fi connection.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=py-improv-ble-client
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf py_improv_ble_client.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/py-improv-ble-client-$1\.tar\.gz/ \
  https://github.com/home-assistant-libs/py-improv-ble-client/tags .*/v?(\d\S+)\.tar\.gz

## py-improv-ble-client 2.0.0

=== debian/changelog ===
py-improv-ble-client (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Simplify debian/rules.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 13 Dec 2025 14:28:39 +0000

## py-improv-ble-client 2.0.1

=== debian/changelog ===
py-improv-ble-client (2.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 17 Dec 2025 10:05:26 +0000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Build-Depends-Indep:
+ python3-bleak-retry-connector <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/home-assistant-libs/py-improv-ble-client
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/py-improv-ble-client
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/py-improv-ble-client.git

=== debian/watch ===
Version: 5

Template: Github
Owner: home-assistant-libs
Project: py-improv-ble-client
